## org.apache.batik.apps.svgbrowser
Class NodePickerPanel.AttributesTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          javax.swing.table.DefaultTableModel
              org.apache.batik.apps.svgbrowser.NodePickerPanel.AttributesTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  NodePickerPanel

    public static class NodePickerPanel.AttributesTableModel

extends javax.swing.table.DefaultTableModel

The attributesTable model.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.DefaultTableModel
`columnIdentifiers, dataVector`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`NodePickerPanel.AttributesTableModel(int rowCount, int columnCount)`

Method Summary
`java.lang.Object` `getAttrNameAt(int i)` Gets the name of the attribute with the table row.
`java.lang.Object` `getAttrValueAt(int i)` Gets the value of the attribute with the table row.
`java.lang.String` `getColumnName(int column)`
`int` `getRow(java.lang.Object attrName)` Gets the first row where the given attribute name appears.
`java.lang.Object` `getValueForName(java.lang.Object attrName)` Gets the value of the attribute with the given attribute name.

Methods inherited from class javax.swing.table.DefaultTableModel
`addColumn, addColumn, addColumn, addRow, addRow, convertToVector, convertToVector, getColumnCount, getDataVector, getRowCount, getValueAt, insertRow, insertRow, isCellEditable, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount, setValueAt`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodePickerPanel.AttributesTableModel

    public NodePickerPanel.AttributesTableModel(int rowCount,
                                                int columnCount)

Method Detail

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.DefaultTableModel`

### getValueForName

    public java.lang.Object getValueForName(java.lang.Object attrName)

  Gets the value of the attribute with the given attribute name.

  Parameters:
    `attrName` - The given attribute name

### getAttrNameAt

    public java.lang.Object getAttrNameAt(int i)

  Gets the name of the attribute with the table row.

### getAttrValueAt

    public java.lang.Object getAttrValueAt(int i)

  Gets the value of the attribute with the table row.

### getRow

    public int getRow(java.lang.Object attrName)

  Gets the first row where the given attribute name appears.

  Parameters:
    `attrName` - The given attribute name

Copyright © 2008 Apache Software Foundation. All Rights Reserved.